package rljfxml;

import javafx.scene.control.TextField;
import anywheresoftware.b4a.BA;

@BA.ActivityObject
@BA.DesignerName("Build 20131129")
@BA.Version(0.1F)
@BA.Author("Robert Linn")
@BA.ShortName("NumberTextField")
@BA.Permissions(values = {}) // Permissions must always be declared otherwise your app or library wont work.

public class NumberTextField extends TextField {
	    
	    @Override public void replaceText(int start, int end, String text) {
	           if (text.matches("[0-9]") || text == "") {
	               super.replaceText(start, end, text);
	           }
	       }
	     
	       @Override public void replaceSelection(String text) {
	           if (text.matches("[0-9]") || text == "") {
	               super.replaceSelection(text);
	           }
	       }
	 
}

